package com.sagacloud.cache.cachedObject.pojo.venders;
/*
 * Author: Jxing
 * Create Time: 2018/8/28
 */

import java.util.HashMap;
import java.util.Map;

public class VendersEntity {
    private String name;
    private String website;
    private String venderId;
    // key -> projectId.
    private Map<String, ContactEntity> contactMap;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWebsite() {
        return website;
    }

    public void setWebsite(String website) {
        this.website = website;
    }

    public String getVenderId() {
        return venderId;
    }

    public void setVenderId(String venderId) {
        this.venderId = venderId;
    }

    public Map<String, ContactEntity> getContactMap() {
        if(contactMap == null)
            contactMap = new HashMap<>();
        return contactMap;
    }

    public void setContactMap(Map<String, ContactEntity> contactMap) {
        this.contactMap = contactMap;
    }
}
